Bug 7880 - Printing from a shell prompt
Printing from a shell prompt
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-18 16:06 EST by taxea
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-18 16:15:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description taxea 1999-12-18 16:06:23 EST
Dear Linux Support,
I tried to print out the man page help file using the following command
from a terminal prompt:

man man |col -b | lpr

NOTHING HAPPENS!

In general, I can print from within applications such as staroffice, or
netscape browser, etc. But, I can not print using this command from a
terminal window. I followed the syntax right from your manual on page 67 of
the 'Getting Started Guide'.

I have a Canon BJC-2000 printer which prints fine in all X Applications.

Any help would be appreciated.


Thanks,

James
Comment 1 Bernhard Rosenkraenzer 1999-12-18 16:15:59 EST
Works here without problems.

Probably your printer doesn't support plain text input.
Try something along the lines of

man man |col -b |mpage |lpr

This will convert the output to PostScript, then pass it on to lpr, which will
use ghostscript to convert it to whatever format your printer can deal with.

By the way, you're writing to development, not support - if you need support,
you might want to check http://support.redhat.com/ first. Normally, they can
help you much faster.
Comment 2 Riley H Williams 1999-12-21 13:23:59 EST
I've had this problem myself in the past, and always with `man man` as the first
stage in the process. Is there some character in the output for the said manpage
that's acting as an X-OFF or equivalent handshaking character somewhere?

Note You need to log in before you can comment on or make changes to this bug.